Browse Source

Add a "tmosh" script

Samuel W. Flint 1 year ago
parent
commit
84eb310b77
1 changed files with 13 additions and 0 deletions
  1. 13 0
      tmosh

+ 13 - 0
tmosh

@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+PROG_NAME=$(basename "$0")
+
+if [[ $# -ne 2 ]] ; then
+    echo "${PROG_NAME} HOST SESSION" >&2
+    exit 1
+fi
+
+HOST=$1
+SESSION=$2
+
+mosh "${HOST}" -- tmux new-session -A -s "${SESSION}"